declare enum TransactionStatuses {
    Pending = "Pending",
    Completed = "Completed",
    Reverted = "Reverted"
}
declare enum TransactionDirections {
    Sender = "Sender",
    Receiver = "Receiver"
}
declare enum TransactionAssetCategories {
    External = "external",
    Internal = "internal",
    Token = "token"
}
declare enum TokenTypes {
    Erc20 = "Erc20",
    Erc721 = "Erc721",
    Erc1155 = "Erc1155",
    Native = "Native",
    WrappedSupertoken = "WrappedSupertoken"
}
declare enum ExchangeProviders {
    Uniswap = "Uniswap",
    OneInch = "OneInch",
    Synthetix = "Synthetix",
    Sushiswap = "Sushiswap",
    Honeyswap = "Honeyswap",
    Paraswap = "Paraswap"
}
declare enum CrossChainServiceProvider {
    SocketV2 = "SocketV2",
    LiFi = "LiFi",
    Etherspot = "Connext"
}
declare enum BridgingProvider {
    Connext = "Connext"
}
declare enum LiFiBridge {
    across = "across",
    arbitrum = "arbitrum",
    avalanche = "avalanche",
    cbridge = "cbridge",
    connext = "connext",
    hop = "hop",
    hyphen = "hyphen",
    multichain = "multichain",
    optimism = "optimism",
    polygon = "polygon",
    stargate = "stargate"
}
declare const TOKEN_LIST_MIN_NAME_LENGTH = 3;
declare const TOKEN_LIST_MAX_NAME_LENGTH = 32;

export { BridgingProvider, CrossChainServiceProvider, ExchangeProviders, LiFiBridge, TOKEN_LIST_MAX_NAME_LENGTH, TOKEN_LIST_MIN_NAME_LENGTH, TokenTypes, TransactionAssetCategories, TransactionDirections, TransactionStatuses };
